- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# POA_CORBA::Policy_tie< T > Class Template Reference

`#include <PolicyS_T.h>`

Inheritance diagram for POA_CORBA::Policy_tie< T >:

[legend]
Collaboration diagram for POA_CORBA::Policy_tie< T >:

[legend]
List of all members.

## Public Member Functions
| Policy_tie (T &t)
| Policy_tie (T &t, PortableServer::POA_ptr poa)
| Policy_tie (T *tp, CORBA::Boolean release=1)
| Policy_tie (T *tp, PortableServer::POA_ptr poa, CORBA::Boolean release=1)
| ~Policy_tie (void)
T * | _tied_object (void)
void | _tied_object (T &obj)
void | _tied_object (T *obj, CORBA::Boolean release=1)
CORBA::Boolean | _is_owner (void)
void | _is_owner (CORBA::Boolean b)
PortableServer::POA_ptr | _default_POA (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS)
## Private Member Functions
| Policy_tie (const Policy_tie &)
void | operator= (const Policy_tie &)
## Private Attributes
T * | ptr_
PortableServer::POA_var | poa_
CORBA::Boolean | rel_

### template<class T>
class POA_CORBA::Policy_tie< T >

## Constructor & Destructor Documentation

template<class T>

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE POA_CORBA::Policy_tie< T >::Policy_tie | ( | T & | t | ) |

template<class T>

ACE_INLINE POA_CORBA::Policy_tie< T >::Policy_tie | ( | T & | t,
|  | PortableServer::POA_ptr | poa |
| ) |  |  |

template<class T>

ACE_INLINE POA_CORBA::Policy_tie< T >::Policy_tie | ( | T * | tp,
|  | CORBA::Boolean | release = `1` |
| ) |  |  |

template<class T>

ACE_INLINE POA_CORBA::Policy_tie< T >::Policy_tie | ( | T * | tp,
|  | PortableServer::POA_ptr | poa,
|  | CORBA::Boolean | release = `1` |
| ) |  |  |

template<class T>

ACE_INLINE POA_CORBA::Policy_tie< T >::~Policy_tie | ( | void |  | ) |

template<class T>

POA_CORBA::Policy_tie< T >::Policy_tie | ( | const Policy_tie< T > & |  | ) | `[private]`

## Member Function Documentation

template<class T>

PortableServer::POA_ptr POA_CORBA::Policy_tie< T >::_default_POA | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) |

template<class T>

ACE_INLINE void POA_CORBA::Policy_tie< T >::_is_owner | ( | CORBA::Boolean | b | ) |

template<class T>

ACE_INLINE CORBA::Boolean POA_CORBA::Policy_tie< T >::_is_owner | ( | void |  | ) |

template<class T>

ACE_INLINE void POA_CORBA::Policy_tie< T >::_tied_object | ( | T * | obj,
|  | CORBA::Boolean | release = `1` |
| ) |  |  |

template<class T>

ACE_INLINE void POA_CORBA::Policy_tie< T >::_tied_object | ( | T & | obj | ) |

template<class T>

ACE_INLINE T * POA_CORBA::Policy_tie< T >::_tied_object | ( | void |  | ) |

template<class T>

void POA_CORBA::Policy_tie< T >::operator= | ( | const Policy_tie< T > & |  | ) | `[private]`

## Member Data Documentation

template<class T>

PortableServer::POA_var POA_CORBA::Policy_tie< T >::poa_`[private]`

template<class T>

T* POA_CORBA::Policy_tie< T >::ptr_`[private]`

template<class T>

CORBA::Boolean POA_CORBA::Policy_tie< T >::rel_`[private]`

The documentation for this class was generated from the following files:

- PolicyS_T.h
- PolicyS_T.inl